<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Release</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{1C5368E1-A4CF-4580-86BB-DFFB20AB682C}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>SpaceWizards.HttpListener</RootNamespace>
    <AssemblyName>SpaceWizards.HttpListener</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <LangVersion>8</LangVersion>
    <Nullable>enable</Nullable>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin\Mods\TFP_WebServer\</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
    <NoStdLib>true</NoStdLib>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <DefineConstants>UNITY_NETFRAMEWORK</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release_Profiler|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_WebServer\</OutputPath>
    <DefineConstants>UNITY_NETFRAMEWORK;ENABLE_PROFILER</DefineConstants>
    <Optimize>true</Optimize>
    <WarningLevel>4</WarningLevel>
    <NoStdLib>true</NoStdLib>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_WebServer\</OutputPath>
    <DebugType>full</DebugType>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <DefineConstants>UNITY_NETFRAMEWORK</DefineConstants>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_Profiler|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_WebServer\</OutputPath>
    <DefineConstants>UNITY_NETFRAMEWORK;ENABLE_PROFILER</DefineConstants>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <ItemGroup>
    <Compile Include="src\AssemblyInfo.cs" />
    <Compile Include="src\SR.cs" />
    <Compile Include="src\System\HexConverter.cs" />
    <Compile Include="src\System\Net\AuthenticationSchemeSelector.cs" />
    <Compile Include="src\System\Net\AuthenticationTypes.cs" />
    <Compile Include="src\System\Net\BoundaryType.cs" />
    <Compile Include="src\System\Net\CaseInsensitiveAscii.cs" />
    <Compile Include="src\System\Net\CookieComparer.cs" />
    <Compile Include="src\System\Net\CookieFields.cs" />
    <Compile Include="src\System\Net\CookieParser.cs" />
    <Compile Include="src\System\Net\EntitySendFormat.cs" />
    <Compile Include="src\System\Net\ExceptionCheck.cs" />
    <Compile Include="src\System\Net\HttpKnownHeaderNames.cs" />
    <Compile Include="src\System\Net\HttpListener.cs" />
    <Compile Include="src\System\Net\HttpListenerBasicIdentity.cs" />
    <Compile Include="src\System\Net\HttpListenerContext.cs" />
    <Compile Include="src\System\Net\HttpListenerException.cs" />
    <Compile Include="src\System\Net\HttpListenerPrefixCollection.cs" />
    <Compile Include="src\System\Net\HttpListenerRequest.cs" />
    <Compile Include="src\System\Net\HttpListenerRequestUriBuilder.cs" />
    <Compile Include="src\System\Net\HttpListenerResponse.cs" />
    <Compile Include="src\System\Net\HttpRequestStream.cs" />
    <Compile Include="src\System\Net\HttpResponseStream.cs" />
    <Compile Include="src\System\Net\HttpStatusDescription.cs" />
    <Compile Include="src\System\Net\LazyAsyncResult.cs" />
    <Compile Include="src\System\Net\ListenerClientCertState.cs" />
    <Compile Include="src\System\Net\Logging\NetEventSource.Common.cs" />
    <Compile Include="src\System\Net\Managed\ChunkedInputStream.cs" />
    <Compile Include="src\System\Net\Managed\ChunkStream.cs" />
    <Compile Include="src\System\Net\Managed\HttpConnection.cs" />
    <Compile Include="src\System\Net\Managed\HttpEndPointListener.cs" />
    <Compile Include="src\System\Net\Managed\HttpEndPointManager.cs" />
    <Compile Include="src\System\Net\Managed\HttpHeaderStrings.cs" />
    <Compile Include="src\System\Net\Managed\HttpListener.Certificates.cs" />
    <Compile Include="src\System\Net\Managed\HttpListener.Managed.cs" />
    <Compile Include="src\System\Net\Managed\HttpListenerContext.Managed.cs" />
    <Compile Include="src\System\Net\Managed\HttpListenerRequest.Managed.cs" />
    <Compile Include="src\System\Net\Managed\HttpListenerResponse.Managed.cs" />
    <Compile Include="src\System\Net\Managed\HttpListenerTimeoutManager.Managed.cs" />
    <Compile Include="src\System\Net\Managed\HttpRequestStream.Managed.cs" />
    <Compile Include="src\System\Net\Managed\HttpResponseStream.Managed.cs" />
    <Compile Include="src\System\Net\Managed\HttpStreamAsyncResult.cs" />
    <Compile Include="src\System\Net\Managed\ListenerAsyncResult.Managed.cs" />
    <Compile Include="src\System\Net\Managed\ListenerPrefix.cs" />
    <Compile Include="src\System\Net\Managed\WebSockets\HttpWebSocket.Managed.cs" />
    <Compile Include="src\System\Net\NetEventSource.HttpListener.cs" />
    <Compile Include="src\System\Net\ServiceNameStore.cs" />
    <Compile Include="src\System\Net\StreamHelper.cs" />
    <Compile Include="src\System\Net\UriScheme.cs" />
    <Compile Include="src\System\Net\WebHeaderEncoding.cs" />
    <Compile Include="src\System\Net\WebSockets\HttpListenerWebSocketContext.cs" />
    <Compile Include="src\System\Net\WebSockets\HttpWebSocket.cs" />
    <Compile Include="src\System\Net\WebSockets\WebSocketValidate.cs" />
    <Compile Include="src\System\Net\Windows\CookieExtensions.cs" />
    <Compile Include="src\System\StringExtensions.cs" />
    <Compile Include="src\System\Threading\Tasks\TaskToApm.cs" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <HintPath>..\7dtd-binaries\mscorlib.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <HintPath>..\7dtd-binaries\System.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="SpaceWizards.HttpListener-LICENSE.TXT">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
</Project>